package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;
import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cnd {
    //ID号
    private String inr = NULLSTR;

    //关联字段
    private String objinr = NULLSTR;

    //关联字段
    private String objtyp = NULLSTR;

    //原业务编号
    private String oribusnum = NULLSTR;

    //交易金额
    private BigDecimal amt  = BigDecimal.ZERO;

    //业务种类
    private String bustyp = NULLSTR;

    //加急种类
    private String urgtyp = NULLSTR;

    //汇兑类型
    private String exctyp = NULLSTR;

    //收报行行号
    private String recbchkey = NULLSTR;

    //收报行名称
    private String recbchnam = NULLSTR;

    //收款人帐号
    private String pyeact = NULLSTR;

    //收款人姓名
    private String pyenam = NULLSTR;

    //收款人地址
    private String pyeadr = NULLSTR;

    //收款人开户行行号
    private String pyebchkey = NULLSTR;

    //收款人开户行行名
    private String pyebchnam = NULLSTR;

    //付款人?'?号
    private String orcact = NULLSTR;

    //付款人名称
    private String orcnam = NULLSTR;

    //付款人地址
    private String orcadr = NULLSTR;

    //附言
    private String commet = NULLSTR;

    //币种
    private String cur = NULLSTR;

    //付款人开户行行号
    private String orcbchkey = NULLSTR;

    //委托日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date dlgdat = NULLDATE;

    //发起清算行行号
    private String staliqbch = NULLSTR;

    //接收清算行行号
    private String recliqbch = NULLSTR;

    //发起行行号
    private String satbch = NULLSTR;

    //支付交易序号
    private String paynum = NULLSTR;

    //发报中心代码
    private String sencod = NULLSTR;

    //收报中心代码
    private String reccod = NULLSTR;

    //关联SPT表
    private String sptinr = NULLSTR;

    //业务类型
    private String busmod = NULLSTR;

    //中介机构号
    private String agency = NULLSTR;

    //中介机构名称
    private String agname = NULLSTR;

    //核心业务编号
    private String hxywbh = NULLSTR;

    //发报模式
    private String fbmosi = NULLSTR;

    //国结业务编号
    private String ownref = NULLSTR;

    //备注
    private String remark = NULLSTR;

    //付款?'接参与者行号
    
    private String stasehbch = NULLSTR;

    //收款?'接参与者行号
    
    private String recsehbch = NULLSTR;

    //付款?'接参与人
    
    private String staonebch = NULLSTR;

    //收款?'接参与人
    
    private String reconebch = NULLSTR;

    //付款?'接参与者名称
    private String stasehbchnam = NULLSTR;

    //收款?'接参与者名称
    private String recsehbchnam = NULLSTR;

    //付款?'接参与者名称
    private String staonebchnam = NULLSTR;

    //收款?'接参与者名称
    private String reconebchnam = NULLSTR;
}
