package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:irs:IRS - Interest Rates per Date Range
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Irs {

        //Internal Unique ID of IRS
        private String inr = NULLSTR;

        //Object Type Contract Type or IRT
        private String objtyp = NULLSTR;

        //Object INR
        private String objinr = NULLSTR;

        //Currency SPACE for NONE
        private String cur = NULLSTR;

        //Begin Date Incl.
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date begdat = NULLDATE;

        //End Date Excl.
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date enddat = NULLDATE;

        //Rate
        private  BigDecimal rat  = Decimals.ZERO_SCALE6;

        //Transaction INR
        private String trninr = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Entity Group of Interest Rate Set
        private String etgextkey = NULLSTR;
}