package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

/**
 
 * @date 2024-09-03
 * @description
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ptymrm {
    private String ptyinr;  //ptyinr
    private String cust_id;  //客户号
    private String date;  //数据日期
    private BigDecimal idx001;  //本季度货物贸易单笔交易金额最大值较上年度平均值的增长率
    private String idx001_desc;  //本季度货物贸易单笔交易金额最大值较上年度平均值的增长率详情
    private BigDecimal idx001_threshold;  //本季度货物贸易单笔交易金额最大值较上年度平均值的增长率阈值
    private BigDecimal idx002;  //本年度货物贸易收汇单笔平均金额较上年度的增长率
    private String idx002_desc;  //本年度货物贸易收汇单笔平均金额较上年度的增长率详情
    private BigDecimal idx002_threshold;  //本年度货物贸易收汇单笔平均金额较上年度的增长率阈值
    private BigDecimal idx003;  //本年度货物贸易付汇单笔平均金额较上年度的增长率
    private String idx003_desc;  //本年度货物贸易付汇单笔平均金额较上年度的增长率详情
    private BigDecimal idx003_threshold;  //本年度货物贸易付汇单笔平均金额较上年度的增长率阈值
    private BigDecimal idx004;  //货物贸易季度累计交易笔数
    private String idx004_desc;  //货物贸易季度累计交易笔数详情
    private BigDecimal idx004_threshold;  //货物贸易季度累计交易笔数阈值
    private BigDecimal idx005;  //本季度服务贸易单笔交易金额最大值较上年度平均值的增长率
    private String idx005_desc;  //本季度服务贸易单笔交易金额最大值较上年度平均值的增长率详情
    private BigDecimal idx005_threshold;  //本季度服务贸易单笔交易金额最大值较上年度平均值的增长率阈值
    private BigDecimal idx006;  //本年度服务贸易收汇单笔平均金额较上年度的增长率
    private String idx006_desc;  //本年度服务贸易收汇单笔平均金额较上年度的增长率详情
    private BigDecimal idx006_threshold;  //本年度服务贸易收汇单笔平均金额较上年度的增长率阈值
    private BigDecimal idx007;  //本年度服务贸易付汇单笔平均金额较上年度的增长率
    private String idx007_desc;  //本年度服务贸易付汇单笔平均金额较上年度的增长率详情
    private BigDecimal idx007_threshold;  //本年度服务贸易付汇单笔平均金额较上年度的增长率阈值
    private BigDecimal idx008;  //季度小额服务贸易分拆笔数最大值
    private String idx008_desc;  //季度小额服务贸易分拆笔数最大值详情
    private BigDecimal idx008_threshold;  //季度小额服务贸易分拆笔数最大值阈值
    private BigDecimal idx009;  //服务贸易季度累计交易笔数
    private String idx009_desc;  //服务贸易季度累计交易笔数详情
    private BigDecimal idx009_threshold;  //服务贸易季度累计交易笔数阈值
    private BigDecimal idx010;  //存量交易对手贸易外汇累计金额季度环比
    private String idx010_desc;  //存量交易对手贸易外汇累计金额季度环比详情
    private BigDecimal idx010_threshold;  //存量交易对手贸易外汇累计金额季度环比阈值
    private BigDecimal idx011;  //存量交易对手贸易外汇累计笔数季度环比
    private String idx011_desc;  //存量交易对手贸易外汇累计笔数季度环比详情
    private BigDecimal idx011_threshold;  //存量交易对手贸易外汇累计笔数季度环比阈值
    private BigDecimal idx012;  //本季度预收业务单笔交易金额最大值较上年度平均值的增长率
    private String idx012_desc;  //本季度预收业务单笔交易金额最大值较上年度平均值的增长率详情
    private BigDecimal idx012_threshold;  //本季度预收业务单笔交易金额最大值较上年度平均值的增长率阈值
    private BigDecimal idx013;  //预收业务季度累计金额占比
    private String idx013_desc;  //预收业务季度累计金额占比详情
    private BigDecimal idx013_threshold;  //预收业务季度累计金额占比阈值
    private BigDecimal idx014;  //贸易外汇收汇金额季度环比
    private String idx014_desc;  //贸易外汇收汇金额季度环比详情
    private BigDecimal idx014_threshold;  //贸易外汇收汇金额季度环比阈值
    private BigDecimal idx015;  //贸易外汇收汇金额季度同比
    private String idx015_desc;  //贸易外汇收汇金额季度同比详情
    private BigDecimal idx015_threshold;  //贸易外汇收汇金额季度同比阈值
    private BigDecimal idx016;  //本季度贸易外汇收汇的新增大额交易对手数量
    private String idx016_desc;  //本季度贸易外汇收汇的新增大额交易对手数量详情
    private BigDecimal idx016_threshold;  //本季度贸易外汇收汇的新增大额交易对手数量阈值
    private BigDecimal idx017;  //本月贸易外汇收汇交易对手数量激增
    private String idx017_desc;  //本月贸易外汇收汇交易对手数量激增详情
    private BigDecimal idx017_threshold;  //本月贸易外汇收汇交易对手数量激增阈值
    private BigDecimal idx018;  //本年度贸易外汇收汇总金额较上年度的增长率
    private String idx018_desc;  //本年度贸易外汇收汇总金额较上年度的增长率详情
    private BigDecimal idx018_threshold;  //本年度贸易外汇收汇总金额较上年度的增长率阈值
    private BigDecimal idx019;  //存量交易对手贸易外汇收汇金额季度环比
    private String idx019_desc;  //存量交易对手贸易外汇收汇金额季度环比详情
    private BigDecimal idx019_threshold;  //存量交易对手贸易外汇收汇金额季度环比阈值
    private BigDecimal idx020;  //存量交易对手贸易外汇收汇金额季度同比
    private String idx020_desc;  //存量交易对手贸易外汇收汇金额季度同比详情
    private BigDecimal idx020_threshold;  //存量交易对手贸易外汇收汇金额季度同比阈值
    private BigDecimal idx021;  //单个新增交易对手贸易外汇收汇金额季度最大值
    private String idx021_desc;  //单个新增交易对手贸易外汇收汇金额季度最大值详情
    private BigDecimal idx021_threshold;  //单个新增交易对手贸易外汇收汇金额季度最大值阈值
    private BigDecimal idx022;  //全部新增交易对手贸易外汇收汇季度累计金额占比
    private String idx022_desc;  //全部新增交易对手贸易外汇收汇季度累计金额占比详情
    private BigDecimal idx022_threshold;  //全部新增交易对手贸易外汇收汇季度累计金额占比阈值
    private BigDecimal idx023;  //贸易外汇收汇笔数月环比
    private String idx023_desc;  //贸易外汇收汇笔数月环比详情
    private BigDecimal idx023_threshold;  //贸易外汇收汇笔数月环比阈值
    private BigDecimal idx024;  //贸易外汇收汇笔数月同比
    private String idx024_desc;  //贸易外汇收汇笔数月同比详情
    private BigDecimal idx024_threshold;  //贸易外汇收汇笔数月同比阈值
    private BigDecimal idx025;  //贸易外汇付汇金额季度环比
    private String idx025_desc;  //贸易外汇付汇金额季度环比详情
    private BigDecimal idx025_threshold;  //贸易外汇付汇金额季度环比阈值
    private BigDecimal idx026;  //贸易外汇付汇金额季度同比
    private String idx026_desc;  //贸易外汇付汇金额季度同比详情
    private BigDecimal idx026_threshold;  //贸易外汇付汇金额季度同比阈值
    private BigDecimal idx027;  //本季度贸易外汇付汇的新增大额交易对手数量
    private String idx027_desc;  //本季度贸易外汇付汇的新增大额交易对手数量详情
    private BigDecimal idx027_threshold;  //本季度贸易外汇付汇的新增大额交易对手数量阈值
    private BigDecimal idx028;  //本月贸易外汇付汇交易对手数量激增
    private String idx028_desc;  //本月贸易外汇付汇交易对手数量激增详情
    private BigDecimal idx028_threshold;  //本月贸易外汇付汇交易对手数量激增阈值
    private BigDecimal idx029;  //本年度贸易外汇付汇总金额较上年度的增长率
    private String idx029_desc;  //本年度贸易外汇付汇总金额较上年度的增长率详情
    private BigDecimal idx029_threshold;  //本年度贸易外汇付汇总金额较上年度的增长率阈值
    private BigDecimal idx030;  //存量交易对手贸易外汇付汇金额季度环比
    private String idx030_desc;  //存量交易对手贸易外汇付汇金额季度环比详情
    private BigDecimal idx030_threshold;  //存量交易对手贸易外汇付汇金额季度环比阈值
    private BigDecimal idx031;  //存量交易对手贸易外汇付汇金额季度同比
    private String idx031_desc;  //存量交易对手贸易外汇付汇金额季度同比详情
    private BigDecimal idx031_threshold;  //存量交易对手贸易外汇付汇金额季度同比阈值
    private BigDecimal idx032;  //单个新增交易对手贸易外汇付汇金额季度最大值
    private String idx032_desc;  //单个新增交易对手贸易外汇付汇金额季度最大值详情
    private BigDecimal idx032_threshold;  //单个新增交易对手贸易外汇付汇金额季度最大值阈值
    private BigDecimal idx033;  //全部新增交易对手贸易外汇付汇季度累计金额占比
    private String idx033_desc;  //全部新增交易对手贸易外汇付汇季度累计金额占比详情
    private BigDecimal idx033_threshold;  //全部新增交易对手贸易外汇付汇季度累计金额占比阈值
    private BigDecimal idx034;  //本季度预付业务单笔交易金额最大值较上年度平均值的增长率
    private String idx034_desc;  //本季度预付业务单笔交易金额最大值较上年度平均值的增长率详情
    private BigDecimal idx034_threshold;  //本季度预付业务单笔交易金额最大值较上年度平均值的增长率阈值
    private BigDecimal idx035;  //预付业务季度累计金额占比
    private String idx035_desc;  //预付业务季度累计金额占比详情
    private BigDecimal idx035_threshold;  //预付业务季度累计金额占比阈值
    private BigDecimal idx036;  //贸易外汇付汇笔数月环比
    private String idx036_desc;  //贸易外汇付汇笔数月环比详情
    private BigDecimal idx036_threshold;  //贸易外汇付汇笔数月环比阈值
    private BigDecimal idx037;  //贸易外汇付汇笔数月同比
    private String idx037_desc;  //贸易外汇付汇笔数月同比详情
    private BigDecimal idx037_threshold;  //贸易外汇付汇笔数月同比阈值
    private BigDecimal idx038;  //本季度退汇业务单笔交易金额最大值较上年度平均值的增长率
    private String idx038_desc;  //本季度退汇业务单笔交易金额最大值较上年度平均值的增长率详情
    private BigDecimal idx038_threshold;  //本季度退汇业务单笔交易金额最大值较上年度平均值的增长率阈值
    private BigDecimal idx039;  //退汇业务季度累计金额占比
    private String idx039_desc;  //退汇业务季度累计金额占比详情
    private BigDecimal idx039_threshold;  //退汇业务季度累计金额占比阈值
    private BigDecimal idx040;  //退汇业务季度累计交易笔数
    private String idx040_desc;  //退汇业务季度累计交易笔数详情
    private BigDecimal idx040_threshold;  //退汇业务季度累计交易笔数阈值
    private String idx041;  //历史业务标签
}
