package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:sep:SEP - Settlement Pool
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Sep {

        //Internal Unique ID of SEP Settlement Pool
        private String inr = NULLSTR;

        //Contract Type
        private String objtyp = NULLSTR;

        //INR of Contract
        private String objinr = NULLSTR;

        //Contract Own Reference
        private String objref = NULLSTR;

        //Document Currency
        private String doccur = NULLSTR;

        //Document Amount
        private  BigDecimal docamt  = Decimals.ZERO_SCALE2;

        //Transaction Creating or Modifying the Entry
        private String srctrninr = NULLSTR;

        //Date of Creation
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date srcdat = NULLDATE;

        //Transaction Finally Settling
        private String dontrninr = NULLSTR;

        //Date Done
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date dondat = NULLDATE;

        //Maturity Date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date matdat = NULLDATE;

        //Transaction Marking as Deleted
        private String deltrninr = NULLSTR;

        //Entity holding Settlement
        private String etyextkey = NULLSTR;
}