package com.brilliance.isc.bo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:swe:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Swe {

        //Internal Unique ID of Message
        private String inr = NULLSTR;

        //Object Type of Owning Contract Optional
        private String objtyp = NULLSTR;

        //INR of Owning Contract Optional
        private String objinr = NULLSTR;

        //Transaction, which Handles the Document
        private String trninr = NULLSTR;

        //INR of smh
        private String smhinr = NULLSTR;

        //INR of spt
        private String sptinr = NULLSTR;

        //Ref.
        private String ownref = NULLSTR;

        //External Key
        private String extkey = NULLSTR;

        //Name to Identify Document
        private String nam = NULLSTR;

        //Document Path Relative to Appl. or Data Root
        private String docpth = NULLSTR;

        //Document Name File ID
        private String docfil = NULLSTR;

        //Document Format RTF, TIF, TXT etc. Used to Created File Extension
        private String docfxt = NULLSTR;

        //Receiver Key BIC/Telex#/Fax#/email
        private String sndkey = NULLSTR;

        //Message Type Optional
        private String msgtyp = NULLSTR;

        //Relevant Currency Optional
        private String relcur = NULLSTR;

        //Relevant Amount Optional
        private  BigDecimal relamt  = Decimals.ZERO_SCALE2;

        //清算报文的清算编号
        private String sysno = NULLSTR;

        //报文状态
        private String sta = NULLSTR;

        //打印次数
        private  int prtcnt ;

        //receive date
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date rcvdat = NULLDATE;

        //BCHKEY INR
        private String bchkeyinr = NULLSTR;

        //User
        private String iniusr = NULLSTR;

        //initdata
        @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
        private Date inidat = NULLDATE;

        //Ordering Customer
        private String orcnam = NULLSTR;

        //Payee
        private String pyenam = NULLSTR;

        //收款人帐号
        private String pyeact = NULLSTR;

        //汇款人地址
        private String orcadr = NULLSTR;

        //原ISO报文类型
        private String orimsgtyp = NULLSTR;
}