package com.brilliance.isc.bo.model;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Cbb;
import com.brilliance.isc.common.vo.BizInfoVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 *远期信用证报送需要的 业务字段
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CfaeafBizInfo extends BizInfoVo{

    /**
     * 交易币种
     */
    private String maxcur = NULLSTR;

    /**
     * 交易金额
     */
    private BigDecimal maxamt = Decimals.ZERO_SCALE2;

    /**
     * 单据业务编号  BRD.OWNREF
     */
    String brdownref = NULLSTR ;

    /**
     * 单据币种 setmod.doccur
     */
    private String doccur = NULLSTR;

    /**
     * 单据金额 setmod.docamt
     */
    private BigDecimal docamt = Decimals.ZERO_SCALE2;


    /**
     * 到期日
     */
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date maturity = NULLDATE;


    /**
     * 信用证兑付方式 LIDGRP.REC.AVBBY
     */
    private String avbby = NULLSTR;



}

