package com.brilliance.isc.bo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
/**
 * 这里将letp0 合并到lep中了
 */
public class Letp extends AbstractCommonVo {

    //Status E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //total open amount of connected contracts
    private BigDecimal totamt = Decimals.ZERO_SCALE3;

    //Messages
    private  String chkmsg = NULLSTR;

    //Open amount
    private  BigDecimal trnopnamt = Decimals.ZERO_SCALE3;

    //Shipment date
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date trnshpdat;

    //Expiry date
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private  Date trnexpdat;

    //对手行代码
    private  String oppbnkl = NULLSTR;

    //DEFDAT LAbel
    private  String labdefdet = NULLSTR;

    //Confirmation text

    private  String cnftxt = NULLSTR;
    //Name of GETADDSUB function

    private  String ledgetaddsub = NULLSTR;

    private Usr usr;

    //Add. Amount Flag
    private  String addamtflg = NULLSTR;

    @Override
    public void reset() {
        super.reset();
        if(null == usr){
            usr = new Usr();
        }
    }
}
