package com.brilliance.isc.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

/**
 * 云平台收报配置类
 *
 
 */
@Component
@ConfigurationProperties(prefix = "ypt.rcv")
@PropertySource("classpath:cfg/tcitsk.properties")
@Setter
@Getter
public class YptRcvConfig {

    /**
     * 收报文件备份父目录
     */
    private String filDir;

    /**
     * 处理成功文件存放子目录
     */
    private String sucDir;

    /**
     * 处理失败文件存放子目录
     */
    private String errDir;

    /**
     * 交易编码格式
     */
    private String encoding;

    /**
     * bak文件目录
     */
    private String bakDir;

    /**
     * 跳过文件子目录
     */
    private String skipDir;

    /**
     * 云平台收报目录
     */
    private String rcvDir;
}
