package com.brilliance.isc.vo.component.wfe;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:wfe: 
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class WfeInfo implements Serializable {

        private String id;

        //INR of Workflow Subject
        private String wfsinr = NULLSTR;

        //ID within WFS
        private String wfssub = NULLSTR;

        //Service
        private String srv = NULLSTR;

        //Status
        private String sta = NULLSTR;

        //Retry Count
        private  int rtycnt ;

        //Target Time for Completion
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date tardattim = NULLDATE;

        //INR of Session of Last Update
        private String ssninr = NULLSTR;

        //Timestamp Last Update
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date dattim = NULLDATE;

        //Textual Event Description in SYSUIL
        private String txt = NULLSTR;

        //Flag whether 'STA'tus was changed manually
        private String manflg = NULLSTR;

        //Total time in status 'O'pen in Seconds
        private  long opndur ;

        //Total time in status 'W'aiting in Seconds
        private  long waidur ;

        //Total time in status 'R'etry in Seconds
        private  long retdur ;

        //Total processing time in Milliseconds
        private  long hdldur ;

        //BCHKEYINR
        private String bchkeyinr = NULLSTR;

        //Textual Event Description2
        private String txt2 = NULLSTR;

        //Interface Inr
        private String itfinr = NULLSTR;

        //date
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date intdat = NULLDATE;

        private String interftxt;

        private String inifrm;

        private String ownref;
        private String relcur;
        private String relamt;

        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
        private Date inidattim;

        private String relreq;
        private String relres;
        private String iniusr;
        private String relflg;
}