package com.brilliance.isc.esb.api.netbank;


import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.netbank.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * NETBANK_ENT 企业网银平台服务方
 *
 * @restApi
 */

//@RequestMapping("/SSTF")
public interface NetBankServer {

    /**
     * eg01 国结-网银签约/解约
     *
     * @param reqEG01
     * @return
     */
    @PostMapping("/EG01")
    Res<ResEG01> doEG01(ReqEG01 reqEG01);

    /**
     * eg02 国结-参数查询
     *
     * @param reqEG02
     * @return
     */
    @PostMapping("/EG02")
    Res<ResEG02> doEG02(ReqEG02 reqEG02);

    /**
     * eg03 国结-币种限额列表查询
     *
     * @param reqEG03
     * @return
     */
    @PostMapping("/EG03")
    Res<ResEG03> doEG03(ReqEG03 reqEG03);

    /**
     * eg04 国结-优惠汇率查询
     *
     * @param reqEG04
     * @return
     */
    @PostMapping("/EG04")
    Res<ResEG04> doEG04(ReqEG04 reqEG04);
}
