package com.brilliance.isc.esb.model.ejs;


import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * seg05 对公电子渠道购汇额度调整优化对外响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResSeg05 extends ErrorData {


    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 币种信息
     */
    public List<ItemCurinforsp> xrtList = new ArrayList<>();

    public static class ItemCurinforsp{

        /**
         * 买入优惠点数
         */
        public String BUYRAT;

        /**
         * 卖出优惠点数
         */
        public String SELRAT;

        /**
         * 币种
         */
        public String CUR;

        /**
         * 中间价
         * */
        public String MIDRAT;

        /**
         * 现钞卖出价
         * */
        public String SEL1RAT;

        /**
         * 现钞买入价
         * */
        public String BUY1RAT;

    }

    public ResSeg05() {
    }

    public ResSeg05(String JIAYJG, List<ItemCurinforsp> xrtList) {
        this.JIAYJG = JIAYJG;
        this.xrtList = xrtList;
    }
}
